package com.navinfo.outdoor.bean;

import java.util.List;

public class CapacityBean {

    private Integer code;
    private String message;
    private BodyBean body;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public BodyBean getBody() {
        return body;
    }

    public void setBody(BodyBean body) {
        this.body = body;
    }

    public static class BodyBean {
        private String title;
        private List<SingleChoiceBean> singleChoice;
        private List<MultiChoiceBean> multiChoice;

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public List<SingleChoiceBean> getSingleChoice() {
            return singleChoice;
        }

        public void setSingleChoice(List<SingleChoiceBean> singleChoice) {
            this.singleChoice = singleChoice;
        }

        public List<MultiChoiceBean> getMultiChoice() {
            return multiChoice;
        }

        public void setMultiChoice(List<MultiChoiceBean> multiChoice) {
            this.multiChoice = multiChoice;
        }

        public static class SingleChoiceBean {
            private Integer id;
            private Integer questionId;
            private String question;
            private List<String> option;
            private Integer examId;
            private Object answer;

            public Integer getId() {
                return id;
            }

            public void setId(Integer id) {
                this.id = id;
            }

            public Integer getQuestionId() {
                return questionId;
            }

            public void setQuestionId(Integer questionId) {
                this.questionId = questionId;
            }

            public String getQuestion() {
                return question;
            }

            public void setQuestion(String question) {
                this.question = question;
            }

            public List<String> getOption() {
                return option;
            }

            public void setOption(List<String> option) {
                this.option = option;
            }

            public Integer getExamId() {
                return examId;
            }

            public void setExamId(Integer examId) {
                this.examId = examId;
            }

            public Object getAnswer() {
                return answer;
            }

            public void setAnswer(Object answer) {
                this.answer = answer;
            }
        }

        public static class MultiChoiceBean {
            private Integer id;
            private Integer questionId;
            private String question;
            private List<String> option;
            private Integer examId;
            private Object answer;

            public Integer getId() {
                return id;
            }

            public void setId(Integer id) {
                this.id = id;
            }

            public Integer getQuestionId() {
                return questionId;
            }

            public void setQuestionId(Integer questionId) {
                this.questionId = questionId;
            }

            public String getQuestion() {
                return question;
            }

            public void setQuestion(String question) {
                this.question = question;
            }

            public List<String> getOption() {
                return option;
            }

            public void setOption(List<String> option) {
                this.option = option;
            }

            public Integer getExamId() {
                return examId;
            }

            public void setExamId(Integer examId) {
                this.examId = examId;
            }

            public Object getAnswer() {
                return answer;
            }

            public void setAnswer(Object answer) {
                this.answer = answer;
            }
        }
    }
}
